<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin;

use Dedi\SyliusMigrationPlugin\DependencyInjection\Compiler\ErrorHandlerPass;
use Dedi\SyliusMigrationPlugin\DependencyInjection\Compiler\HandlerPass;
use Dedi\SyliusMigrationPlugin\DependencyInjection\Compiler\MigrationActionPass;
use Dedi\SyliusMigrationPlugin\DependencyInjection\Compiler\MigrationConfigPass;
use Dedi\SyliusMigrationPlugin\DependencyInjection\Compiler\MigrationMappingPass;
use Dedi\SyliusMigrationPlugin\DependencyInjection\Compiler\TransformerPass;
use Sylius\Bundle\CoreBundle\Application\SyliusPluginTrait;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\HttpKernel\Bundle\Bundle;

final class DediSyliusMigrationPlugin extends Bundle
{
    use SyliusPluginTrait;

    public function build(ContainerBuilder $container)
    {
        parent::build($container);

        $container->addCompilerPass(new MigrationConfigPass());
        $container->addCompilerPass(new MigrationActionPass());
        $container->addCompilerPass(new MigrationMappingPass());
        $container->addCompilerPass(new TransformerPass());
        $container->addCompilerPass(new HandlerPass());
        $container->addCompilerPass(new ErrorHandlerPass());
    }
}
