<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service\Logger;

use Monolog\Formatter\FormatterInterface;
use Symfony\Component\Serializer\Encoder\EncoderInterface;

class MigrationErrorCsvFormatter implements FormatterInterface
{
    private readonly EncoderInterface $encoder;

    public function __construct(EncoderInterface $encoder)
    {
        $this->encoder = $encoder;
    }

    public function format(array $record)
    {
        return $this->encoder->encode($record['context'], 'csv', ['no_headers' => true]);
    }

    public function formatBatch(array $records)
    {
        $result = '';

        foreach ($records as $record) {
            $result .= $this->format($record);
        }

        return $result;
    }
}
