<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service\Transformer;

class JsonAttributeValueConfigurationTransformer implements TransformerInterface
{
    private TransformerInterface $sluggifyUppercaseTransformer;

    public function __construct(TransformerInterface $sluggifyUppercaseTransformer)
    {
        $this->sluggifyUppercaseTransformer = $sluggifyUppercaseTransformer;
    }

    public function getType(): string
    {
        return 'json_attribute_value_configuration';
    }

    public function execute($data)
    {
        /** @var string $slug */
        $slug = $this->sluggifyUppercaseTransformer->execute($data);

        return "[\"{$slug}\"]";
    }
}
